#ifndef BUTTONH
#define BUTTONH

/*--------------------------------------*/
/*---------------function---------------*/
/*--------------------------------------*/
void init_output_input_setting();
void main_page();
void modbus_page();
void main_menu();
void digital_input();
void digital_output();
void analog_input();
void analog_output();
void nastaveni();
void nastaveni_lcd();
void function_button_up();
void function_button_setting();
void function_button_down();
void function_button_select();
void function_button_menu();
void function_button_back();
void button();
float prevod_to_float(unsigned int hodnota);
void cyclic_write_read_IO();

/*--------------------------------------*/
/*----------------output----------------*/
/*--------------------------------------*/
sbit output1 = P2^0;	
sbit output2 = P2^1;	
sbit output3 = P2^2;	
sbit output4 = P2^3;
sbit output5 = P2^4;	
sbit output6 = P2^5;	
sbit output7 = P2^6;
sbit output8 = P2^7;

/*--------------------------------------*/
/*----------external variables----------*/
/*--------------------------------------*/
extern int DAC_value_channel1;
extern int DAC_value_channel2;
extern bit setting_da_channel1;
extern bit setting_da_channel2;
extern unsigned char modbus_input;	    
extern unsigned char modbus_output;	
extern unsigned char modbus_output_read;	

#endif